POST Agents/Configuration/CreateDefaultDiaryViewEntity
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Configuration/CreateDefaultDiaryViewEntity
Loading default values into a new DiaryViewEntity.
NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TimeZoneData
| Property Name | Type | Description |
|---|---|---|
| DiaryViewId | int32 | |
| Name | string | |
| Tooltip | string | |
| VisibleColumns | int32 | |
| Rank | int32 | |
| AssocId | int32 | |
| AssociateList | array | |
| TzLocationId | int32 | |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Configuration/CreateDefaultDiaryViewEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"DiaryViewId": 0,
"Name": "",
"Tooltip": "",
"VisibleColumns": 0,
"Rank": 0,
"AssocId": 0,
"AssociateList": [
{
"Id": 0,
"Name": "",
"ToolTip": "",
"Deleted": false,
"Rank": 0,
"Type": "",
"ColorBlock": 0,
"IconHint": "",
"Selected": false,
"LastChanged": "1753-01-01T00:00:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "",
"StyleHint": "",
"Hidden": false,
"FullName": "",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 229
}
}
}
],
"TzLocationId": 0,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 731
}
}
}